Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDFaultFlow

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDConstants
          org.apache.axis.deployment.wsdd.WSDDElement
              org.apache.axis.deployment.wsdd.WSDDDeployableItem
                  org.apache.axis.deployment.wsdd.WSDDHandler
                      org.apache.axis.deployment.wsdd.WSDDChain
                          org.apache.axis.deployment.wsdd.WSDDFaultFlow

All Implemented Interfaces:
  java.io.Serializable

public class WSDDFaultFlow
extends WSDDChain

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`log, parameters, qname, scope, SCOPE_PER_ACCESS, SCOPE_PER_REQUEST, SCOPE_SINGLETON, scopeStrings, singletonInstance, type`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ARRAY_DESERIALIZER_FACTORY, ARRAY_SERIALIZER_FACTORY, ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_INNER_NAME, ATTR_INNER_TYPE, ATTR_ITEMQNAME, ATTR_ITEMTYPE, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MEP, ATTR_MODE, ATTR_NAME, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETITEMQNAME, ATTR_RETITEMTYPE, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAP12ACTION, ATTR_SOAPACTION, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_ARRAYMAPPING, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_ROLE, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_ARRAYMAPPING, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDFaultFlow()` Default constructor
`WSDDFaultFlow(org.w3c.dom.Element e)`

Method Summary
`protected QName` | `getElementName()` Return the element name of a particular subclass.

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDChain
`addHandler, deployToRegistry, getHandlers, makeNewInstance, removeHandler, writeToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`getInstance, getJavaClass, getParameter, getParametersTable, getQName, getType, removeParameter, setName, setOptionsHashtable, setParameter, setQName, setType, writeParamsToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDFaultFlow

    public WSDDFaultFlow()

  Default constructor

### WSDDFaultFlow

    public WSDDFaultFlow(org.w3c.dom.Element e)
                  throws WSDDException

Parameters:
  `e` - (Element) XXX
Throws:
  `WSDDException` - XXX

Method Detail

### getElementName

    protected QName getElementName()

  Description copied from class: `WSDDElement`
  Return the element name of a particular subclass.

  Overrides:
    `getElementName` in class `WSDDChain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.